%define api_version 1.2
%define pkg_name geronimo-stax-api_%{api_version}_spec
Name:          geronimo-stax-1.2-api
Version:       1.1
Release:       %mkrel 1
Summary:       Streaming API for XML (STAX API 1.2)
Group:         Development/Java
License:       ASL
URL:           http://geronimo.apache.org/
Source0:       http://repo2.maven.org/maven2/org/apache/geronimo/specs/geronimo-stax-api_1.2_spec/1.1/geronimo-stax-api_1.2_spec-1.1-source-release.tar.gz
Patch0:        geronimo-stax-1.2-api-1.1-use_parent_pom.patch
BuildRequires: geronimo-osgi-locator
BuildRequires: geronimo-parent-poms
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-plugin
BuildRequires: java-devel
BuildRequires: junit
BuildRequires: jpackage-utils
Requires:      jpackage-utils
BuildArch:     noarch

%description
Geronimo Java STAX Spec API 1.0.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      %{name} = %{version}-%{release} 
Requires:      jpackage-utils

%description javadoc
Geronimo Java STAX Spec API 1.0.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

for d in LICENSE.txt NOTICE.txt ; do
  iconv -f iso8859-1 -t utf-8 $d > $d.conv && mv -f $d.conv $d
  sed -i 's/\r//' $d
done

%patch0 -p0

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-stax-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-stax-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-stax-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-stax-%{api_version}-api-%{version}.jar geronimo-stax-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-stax-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-stax-%{api_version}-api-%{version}
ln -s geronimo-stax-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-stax-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-stax-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-stax-1.2-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt NOTICE.txt

%files javadoc
%{_javadocdir}/geronimo-stax-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-stax-%{api_version}-api



%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.1-1.mga2
+ Revision: 132735
- Clean spec file

  + gil <gil>
    - update to 1.1
    - imported package geronimo-stax-1.2-api


* Sun Jul 03 2011 gil <gil> 1.0-0.%%mkrel
- initial rpm